Suid Wrapper Buffer Overflow Vulnerability

A boundary condition error exists in suid wrapper (or 'su-wrapper.')

The overflow occurs when a string exceeding approximately 1032 characters is given as the first argument when the program is run. Because the program is installed setuid root, it may be possible for local users to execute arbitrary code/commands with those privileges.


 

Privacy Statement
Copyright 2010, SecurityFocus